package com.example.tdl.mapper;

import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserMapper {

    int login(LoginUserVo loginUserVo);

    UserVo getByUserName(@Param("userName") String userName);

    List<ResultUserVo> getAll(String companyName);

    List<ResultUserVo> getByTerm(UserTermVo userTermVo);

    ResultUserVo getByPhone(@Param("phone") String phone,@Param("companyName") String companyName);

    ResultUserVo getByEmail(@Param("email") String email,@Param("companyName") String companyName);

    ResultUserVo getByUserNumber(String userNumber);

    int addUser(AddUserVo addUserVo);

    int updateUser(UpdateUserVo userVo);

    int delUser(String userNumber);

    int updatePassword(UpdatePasswordVo updatePasswordVo);
}
